Subject: Cannot open file gzipped on Android in OSX

From: Abhilash Jindal <[email-masked]>
Date: Tue, 14 Jun 2016 14:58:57 -0400

Hello,

I gzipped a file on Android (BusyBox v1.21.1-jb bionic (version: 2013-07-25
21:23 +0100) multi-call binary) and am able to unzip it on Android.

But when I copy the file on to OSX (using adb) , I am not able to
decompress it.

$ gzip -d -S .0 atrace_z.0
gzip: atrace_z.0: unexpected end of file
gzip: atrace_z.0: uncompress failed
$ gzip -V
Apple gzip 251

I can still decompress on Android if I copy the file back from OSX to
Android phone. Please find the file attached.

Best regards,
abhilash